<template>
  <div>
    <label :for="field">
      {{ label }}
      <span v-if="required" aria-hidden="true" class="text-red-error">*</span>
    </label>
    <input
      :id="field"
      v-model.trim="subject"
      type="text"
      class="form-input block mt-1 w-full"
      :required="required"
      @blur="$emit('blur', { field, value: subject })"
    />
    <slot />
  </div>
</template>

<script>
export default {
  name: 'ASubjectField',
  props: {
    label: { type: String, default: 'Assumpte' },
    validation: { type: String, default: 'required' },
  },
  data: () => ({
    fid: 'subject',
    subject: null,
  }),
  computed: {
    field() {
      return this.$vnode.data.ref;
    },
    required() {
      return /required/.test(this.validation);
    },
  },
  methods: {
    reset() {
      this.subject = null;
    },
  },
};
</script>
